## org.apache.fop.datatypes
Class CondLength

    java.lang.Object
      |
      +--org.apache.fop.datatypes.CondLength

public class CondLength
extends java.lang.Object
implements CompoundDatatype

a space quantity in XSL (space-before, space-after)

Constructor Summary
`CondLength()`

Method Summary
`Property` `getComponent(java.lang.String sCmpnName)`
`Property` `getConditionality()`
`Property` `getLength()`
`void` `setComponent(java.lang.String sCmpnName, Property cmpnValue, boolean bIsDefault)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CondLength

    public CondLength()

Method Detail

### setComponent

    public void setComponent(java.lang.String sCmpnName,
                             Property cmpnValue,
                             boolean bIsDefault)

  Specified by:
    setComponent in interface CompoundDatatype

### getComponent

    public Property getComponent(java.lang.String sCmpnName)

  Specified by:
    getComponent in interface CompoundDatatype

### getConditionality

    public Property getConditionality()

### getLength

    public Property getLength()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.